Name: gnochm
Version: 0.9.5
Release: alt0.1

Summary: A CHM file viewer for Gnome
Summary(ru_RU.KOI8-R):    CHM  Gnome

License: GPL
Group: Office
Url: http://gnochm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/gnochm/%name-%version.tar.bz2
#Source1: %name.ru.po
Patch: %name-%version.patch

BuildArch: noarch

PreReq: python = %__python_version
BuildPreReq: python-devel = %__python_version

Requires: python%__python_version(libglade)
Requires: python%__python_version(bonobo)

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

# manually removed: eric hostinfo
# Automatically added by buildreq on Mon Nov 29 2004
BuildRequires: GConf2 glib2 perl-XML-Parser python-base python-modules-encodings scrollkeeper shared-mime-info

%description
A CHM file viewer for Gnome. Features are:

  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links
  * Internationalisation
  * Displays HTML page source

%prep
%setup -q
%patch -p0
%__subst "s|\$(SHAREDMIME_TOOL)|true \$(SHAREDMIME_TOOL)|" data/Makefile.in
#cp %SOURCE1 po/ru.po

%build
%configure --disable-schemas-install
%make

%install
%makeinstall

# due draft state of python policy
mv %buildroot%_bindir/%name %buildroot%_bindir/%name.py
ln -s %name.py %buildroot%_bindir/%name

%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Text tools" \
	%buildroot%_datadir/applications/%name.desktop \
	%buildroot%_menudir/%name

%find_lang %name --with-gnome
%__rm -rf %buildroot%_localstatedir/scrollkeeper

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README
%doc %_mandir/man?/*
%config %_sysconfdir/gconf/schemas/*.schemas
%_bindir/*
%_menudir/*
%_datadir/application-registry/gnochm.*
%_datadir/applications/gnochm.desktop
%_datadir/gnochm/
%_datadir/mime/packages/gnochm.xml
%_datadir/mime-info/gnochm.*
%_datadir/pixmaps/*.png

%changelog
* Sun Jul 31 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.5-alt0.1
- new version

* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.4-alt2
- rebuild with python 2.4

* Mon Feb 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.4-alt1
- new version

* Wed Feb 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt4
- add requires for bonobo

* Tue Feb 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt3
- remove python-strict (bug #5919)
- add ru.po (from Alexandre Prokoudine)

* Sun Jan 23 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt2
- fix requires (bug #5919)

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt1.1
- add menu file

* Mon Nov 29 2004 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt1
- first build for ALT Linux Sisyphus

* Sat Nov 06 2004 Rubens Ramos <rubensr@users.sourceforge.net>
- More updates based on Dag's spec for gnochm

* Sat Jan 10 2004 Rubens Ramos <rubensr@users.sourceforge.net>
- Updated copyright and dependencies based on Dag's spec file

* Sun Dec 28 2003 Rubens Ramos <rubensr@users.sourceforge.net>
- After quite some time trying to understand what I
  actually needed here, things are working. Now gconf stuff seems to
  be installed properly, as well as scrollkeeper docs.
- I guess noarch is better than i386.
- Added a bunch of dependencies
